Subject: Re: [PATCH net v6 0/3] ptp: ocp: fix serial port information export

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Aug 2024 19:15:09 -0700

On Wed, 28 Aug 2024 11:12:16 -0700 Vadim Fedorenko wrote:
> Starting v6.8 the serial port subsystem changed the hierarchy of devices
> and symlinks are not working anymore. Previous discussion made it clear
> that the idea of symlinks for tty devices was wrong by design [1].
> This series implements additional attributes to expose the information
> and removes symlinks for tty devices.

Doesn't apply now :(

Applying: ptp: ocp: convert serial ports to array
Applying: ptp: ocp: adjust sysfs entries to expose tty information
error: sha1 information is lacking or useless (drivers/ptp/ptp_ocp.c).
error: could not build fake ancestor
Patch failed at 0002 ptp: ocp: adjust sysfs entries to expose tty information
hint: Use 'git am --show-current-patch=diff' to see the failed patch
hint: When you have resolved this problem, run "git am --continue".
hint: If you prefer to skip this patch, run "git am --skip" instead.
hint: To restore the original branch and stop patching, run "git am --abort".
hint: Disable this message with "git config advice.mergeConflict false"